Skip to main content
POST
/
generic-webhook-integration
/
project
/
{projectId}
Create Generic Webhook Integration
curl --request POST \
  --url https://cloud.kaneo.app/api/generic-webhook-integration/project/{projectId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "webhookUrl": "<string>",
  "secret": "<string>",
  "events": {
    "taskCreated": true,
    "taskStatusChanged": true,
    "taskPriorityChanged": true,
    "taskTitleChanged": true,
    "taskDescriptionChanged": true,
    "taskCommentCreated": true
  }
}
'
{
  "id": "<string>",
  "projectId": "<string>",
  "webhookConfigured": true,
  "maskedWebhookUrl": "<string>",
  "secretConfigured": true,
  "maskedSecret": "<string>",
  "events": {
    "taskCreated": true,
    "taskStatusChanged": true,
    "taskPriorityChanged": true,
    "taskTitleChanged": true,
    "taskDescriptionChanged": true,
    "taskCommentCreated": true
  },
  "isActive": true,
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Bearer token authentication

Path Parameters

projectId
string
required

Body

application/json
webhookUrl
string
required
Minimum string length: 1
secret
string
events
object

Response

200 - application/json

Generic webhook integration created successfully

id
string
required
projectId
string
required
webhookConfigured
boolean
required
maskedWebhookUrl
string | null
required
secretConfigured
boolean
required
maskedSecret
string | null
required
events
object
required
isActive
boolean | null
required
createdAt
string<date-time>
required
updatedAt
string<date-time>
required